# Map und Reduce: Gewinnermittlung für die Abzock GmbH

📆 **Fällig: ----** 📆 [Musterlösung](solution/)


Nachdem die Abzock GmbH wirklich goldene Zeiten gesehen hat, möchte die Firma einen besseren Überblick über die Einnahmen haben. Die Geschäftsführer möchten sich nämlich von dem Gewinn Teslas kaufen und damit vollkommen sinnlos in der Gegend herumfahren und dabei rufen "Eure Armut kotzt uns an".

Dank Ihrer unermüdlichen Arbeit, liegen die Verkaufsdaten der Firma bereits in Clojure Datenstrukturen vor.

```clojure{Verkaufte Stückzahlen}
(def verkaeufe-stueckzahlen {
    :PS5      [ 10, 5, 8, 13, 22, 42, 110 ],
    :GTX1090  [ 5, 7, 11, 54, 90 ],
    :OEL      [ 10, 44, 100, 343, 66, 52, 23 ]})
```

```clojure{Verkaufspreise}
(def verkaufspreise {
    :PS5      1239,
    :GTX1090  1699,
    :OEL      9 })
```

Schreiben Sie ein Clojure-Skript `abzock-gewinn.clj`:

  * Berechnen Sie die Einnahmen jedes einzelnen Verkaufs
  * Berechnen Sie die Summer der Einnahmen pro Produkt
  * Geben Sie das Ergebnis mit `println` aus
  * Verwenden Sie `doseq`, `map` und `reduce`

```console{Ausgabe des Programms}
Gewinnermittlung Abzock GmbH
:PS5 260190 EUR
:GTX1090 283733 EUR
:OEL 5742 EUR
```